// ----
// ---- file   : SyModuleOpAbsMin.h
// ---- author : Bastian Spiegel <bs@tkscript.de>
// ---- legal  : (c) 2013 by Bastian Spiegel. 
// ----          Distributed under terms of the GNU LESSER GENERAL PUBLIC LICENSE (LGPL). See 
// ----          http://www.gnu.org/licenses/licenses.html#LGPL or COPYING for further information.
// ----
// ---- info   : This is part of the "syntracker" midi/audio sequencer.
// ----
// ---- changed: 29May2013
// ----
// ----
// ----

#ifndef __TKSYNTH_MODULE_OP_ABSMIN_H__
#define __TKSYNTH_MODULE_OP_ABSMIN_H__

YG("tksynth");


YC class SyModuleOpAbsMin : public SyModule {

  public:
   YAC_POOLED(SyModuleOpAbsMin, YAC_POOL_PRIORITY_LOW);

   void init   (void);
   void reset  (void);
   void doCalc (sUI _framesAdvance);
};


#endif // __TKSYNTH_MODULE_OP_ABSMIN_H__
