// ----
// ---- file   : SyModuleOscPulsePureOversample.h
// ---- author : Bastian Spiegel <bs@tkscript.de>
// ---- legal  : (c) 2009-2010 by Bastian Spiegel. 
// ----          Distributed under terms of the GNU LESSER GENERAL PUBLIC LICENSE (LGPL). See 
// ----          http://www.gnu.org/licenses/licenses.html#LGPL or COPYING for further information.
// ----
// ---- info   : This is part of the "syntracker" midi/audio sequencer.
// ----
// ---- changed: 10May2009, ..., 08Jun2090, 
// ----          22May2010, 07Oct2010
// ----
// ----
// ----

#ifndef __TKSYNTH_MODULE_OSC_PULSE_PURE_OVERSAMPLE_H__
#define __TKSYNTH_MODULE_OSC_PULSE_PURE_OVERSAMPLE_H__

YG("tksynth");


YC class SyModuleOscPulsePureOversample : public SyModuleOsc {
  public:
   sF32 angle;

  public:
   YAC_POOLED(SyModuleOscPulsePureOversample, YAC_POOL_PRIORITY_LOW);

   void init   (void);
   void reset  (void);
   void doCalc (sUI _framesAdvance);
};


#endif // __TKSYNTH_MODULE_OSC_PULSE_PURE_OVERSAMPLE_H__

