// ----
// ---- file   : SyModuleOscSHI.h
// ---- author : Bastian Spiegel <bs@tkscript.de>
// ---- legal  : (c) 2010 by Bastian Spiegel. 
// ----          Distributed under terms of the GNU LESSER GENERAL PUBLIC LICENSE (LGPL). See 
// ----          http://www.gnu.org/licenses/licenses.html#LGPL or COPYING for further information.
// ----
// ---- info   : This is part of the "syntracker" midi/audio sequencer.
// ----
// ---- changed: 22Sep2010, 07Oct2010
// ----          
// ----
// ----
// ----

#ifndef __TKSYNTH_MODULE_OSC_SHI_H__
#define __TKSYNTH_MODULE_OSC_SHI_H__

YG("tksynth");


YC class SyModuleOscSHI : public SyModuleOsc {
   sF32 time; // 0..1
   sF32 spd;
   sF32 cval;
   sF32 nval;

  public:
   YAC_POOLED(SyModuleOscSHI, YAC_POOL_PRIORITY_LOW);

   void init   (void);
   void reset  (void);
   void doCalc (sUI _framesAdvance);
};


#endif // __TKSYNTH_MODULE_OSC_SHI_H__
