// ----
// ---- file   : SyModuleWSRingModulator.h
// ---- author : Bastian Spiegel <bs@tkscript.de>
// ---- legal  : (c) 2010 by Bastian Spiegel. 
// ----          Distributed under terms of the GNU LESSER GENERAL PUBLIC LICENSE (LGPL). See 
// ----          http://www.gnu.org/licenses/licenses.html#LGPL or COPYING for further information.
// ----
// ---- info   : This is part of the "syntracker" midi/audio sequencer.
// ----
// ---- changed: 01Jul2010, 07Oct2010, 06Nov2010
// ----
// ----
// ----

#ifndef __TKSYNTH_MODULE_WS_RINGMODULATOR_H__
#define __TKSYNTH_MODULE_WS_RINGMODULATOR_H__

YG("tksynth");


YC class SyModuleWSRingModulator : public SyModule {

  public:
   YAC_POOLED(SyModuleWSRingModulator, YAC_POOL_PRIORITY_LOW);

   void init   (void);
   void reset  (void);
   void doCalc (sUI _framesAdvance);
   void doCalcBlock (sUI _numFrames);
};


#endif // __TKSYNTH_MODULE_WS_RINGMODULATOR_H__
