// ----
// ---- file   : SyPatch.h
// ---- author : Bastian Spiegel <bs@tkscript.de>
// ---- legal  : (c) 2009-2010 by Bastian Spiegel. 
// ----          Distributed under terms of the GNU LESSER GENERAL PUBLIC LICENSE (LGPL). See 
// ----          http://www.gnu.org/licenses/licenses.html#LGPL or COPYING for further information.
// ----
// ---- info   : This is part of the "syntracker" midi/audio sequencer.
// ----
// ---- changed: 10May2009, ..., 08Jun2009, 
// ----          23May2010
// ----
// ----
// ----

#ifndef __TKSYNTH_PATCH_H__
#define __TKSYNTH_PATCH_H__

YG("tksynth");

class SyPatch : public YAC_Object {
  
   SyModule *output_module;

  public:
   YAC(SyPatch);

   SyPatch(void);
   ~SyPatch();
   
   YM void        setOutputModule (YAC_Object *_outputModule);
   YM YAC_Object *getOutputModule (void);

};


#endif // __TKSYNTH_PATCH_H__
