// ----
// ---- file   : SyModuleRevFreeverb.h
// ---- author : Bastian Spiegel <bs@tkscript.de>
// ---- legal  : (c) 2010 by Bastian Spiegel. 
// ----          Distributed under terms of the GNU LESSER GENERAL PUBLIC LICENSE (LGPL). See 
// ----          http://www.gnu.org/licenses/licenses.html#LGPL or COPYING for further information.
// ----
// ---- info   : This is part of the "syntracker" midi/audio sequencer.
// ----
// ---- changed: 22Jun2010, 07Oct2010
// ----
// ----
// ----

#ifndef __TKSYNTH_MODULE_REV_FREEVERB_H__
#define __TKSYNTH_MODULE_REV_FREEVERB_H__

YG("tksynth");


#include "../tkfreeverb/Components/revmodel.hpp"



YC class SyModuleRevFreeverb : public SyModule {
   sF64 angle;

   revmodel *rev;

  public:
   SyModuleRevFreeverb(void);
   ~SyModuleRevFreeverb();
   YAC_POOLED(SyModuleRevFreeverb, YAC_POOL_PRIORITY_LOW);


   void init        (void);
   void reset       (void);
   void doCalc      (sUI _framesAdvance);
   void doCalcBlock (sUI _numFrames);
};


#endif // __TKSYNTH_MODULE_OSC_REV_FREEVERB_H__
