// ----
// ---- file   : SyModuleWSHardBounce.h
// ---- author : Bastian Spiegel <bs@tkscript.de>
// ---- legal  : (c) 2009-2010 by Bastian Spiegel. 
// ----          Distributed under terms of the GNU LESSER GENERAL PUBLIC LICENSE (LGPL). See 
// ----          http://www.gnu.org/licenses/licenses.html#LGPL or COPYING for further information.
// ----
// ---- info   : This is part of the "syntracker" midi/audio sequencer.
// ----
// ---- changed: 10May2009, ..., 08Jun2009, 
// ----          23May2010, 07Oct2010
// ----
// ----
// ----

#ifndef __TKSYNTH_MODULE_WS_HARDBOUNCE_H__
#define __TKSYNTH_MODULE_WS_HARDBOUNCE_H__

YG("tksynth");


YC class SyModuleWSHardBounce : public SyModule {

  public:
   YAC_POOLED(SyModuleWSHardBounce, YAC_POOL_PRIORITY_LOW);

   void init   (void);
   void reset  (void);
   void doCalc (sUI _framesAdvance);
};


#endif // __TKSYNTH_MODULE_WS_HARDBOUNCE_H__

